Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006014opensim[REGION] OpenSim Corepublic2012-05-07 08:582014-07-29 13:41
Reportercmickeyb 
Assigned Tocmickeyb 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0006014: Remove estate settings save on startup when the estate was already in the database
DescriptionCurrently, we save the estate settings back to the database every time we load a region. This actually seems to contribute quite a bit of time to region startup.

Attached patch makes load estate settings return a boolean.. true if the estate settings are "tainted" (newly created) or false if the estate settings were loaded from the database. Then only save the estate settings back to the DB if they were not just loaded from the db.

TagsNo tags attached.
Git Revision or version numberb697d0e895dc
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
EnvironmentMono / Linux32
Mono Version2.10
Viewer
Attached Filespatch file icon 0001-Apparently-saving-estate-state-is-really-slow.-And-i.patch [^] (3,886 bytes) 2012-05-07 08:58 [Show Content]

- Relationships

-  Notes
(0021384)
cmickeyb (administrator)
2012-05-07 09:00

Melanie... I think the attached patch is right... I couldn't find any path that changed the estate settings after they were loaded from the DB and then rewritten. Wanted to check with you before committing.
(0021851)
cmickeyb (administrator)
2012-07-20 10:54

applied

- Issue History
Date Modified Username Field Change
2012-05-07 08:58 cmickeyb New Issue
2012-05-07 08:58 cmickeyb Status new => assigned
2012-05-07 08:58 cmickeyb Assigned To => cmickeyb
2012-05-07 08:58 cmickeyb File Added: 0001-Apparently-saving-estate-state-is-really-slow.-And-i.patch
2012-05-07 09:00 cmickeyb Note Added: 0021384
2012-07-20 10:54 cmickeyb Note Added: 0021851
2012-07-20 10:54 cmickeyb Status assigned => resolved
2012-07-20 10:54 cmickeyb Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker